
%global meadversion 5.4.9
%global namedversion 5.4.9.Final-redhat-00001
%global meadalpha .Final_redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead
%bcond_with test_utils

%{?scl:%scl_package jbossws-cxf}
%{!?scl:%global pkg_name %{name}}

%global wildflyver1800 1800
%global wildflyver1900 1900
%global wildflyver2000 2000
%global wildflyver2400 2400

%define maven_version 5.4.9.Final-redhat-00001

Name:           %{?scl_prefix}jbossws-cxf
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        JBoss Web Services - Stack CXF
Group:          Development/Java

%if %with mead
Source100: jbossws-cxf-5.4.9.Final-redhat-00001-project-sources.tar.gz
Source102: jbossws-cxf-jaspi-5.4.9.Final-redhat-00001.jar
Source103: jbossws-cxf-resources-5.4.9.Final-redhat-00001-wildfly2400.jar
Source104: jbossws-cxf-client-5.4.9.Final-redhat-00001.pom
Source105: jbossws-cxf-transports-udp-5.4.9.Final-redhat-00001.jar
Source106: jbossws-cxf-transports-undertow-5.4.9.Final-redhat-00001.jar
Source107: jbossws-cxf-jaspi-5.4.9.Final-redhat-00001.pom
Source108: jbossws-cxf-factories-5.4.9.Final-redhat-00001.jar
Source109: jbossws-cxf-5.4.9.Final-redhat-00001.pom
Source110: jbossws-cxf-transports-undertow-5.4.9.Final-redhat-00001-sources.jar
Source111: jbossws-cxf-test-utils-5.4.9.Final-redhat-00001.jar
Source112: jbossws-cxf-client-5.4.9.Final-redhat-00001.jar
Source113: jbossws-cxf-server-5.4.9.Final-redhat-00001-sources.jar
Source114: jbossws-cxf-resources-5.4.9.Final-redhat-00001-wildfly2500.jar
Source115: jbossws-cxf-addons-5.4.9.Final-redhat-00001.pom
Source116: jbossws-cxf-resources-5.4.9.Final-redhat-00001.jar
Source117: jbossws-cxf-transports-udp-5.4.9.Final-redhat-00001-sources.jar
Source118: jbossws-cxf-test-utils-5.4.9.Final-redhat-00001.pom
Source119: jbossws-cxf-server-5.4.9.Final-redhat-00001.pom
Source120: jbossws-cxf-transports-undertow-5.4.9.Final-redhat-00001.pom
Source121: jbossws-cxf-factories-5.4.9.Final-redhat-00001-sources.jar
Source122: jbossws-cxf-transports-udp-5.4.9.Final-redhat-00001.pom
Source123: jbossws-cxf-client-5.4.9.Final-redhat-00001-sources.jar
Source124: jbossws-cxf-test-utils-5.4.9.Final-redhat-00001-sources.jar
Source125: jbossws-cxf-server-5.4.9.Final-redhat-00001.jar
Source126: jbossws-cxf-jaspi-5.4.9.Final-redhat-00001-sources.jar
Source127: jbossws-cxf-resources-5.4.9.Final-redhat-00001.pom
Source128: jbossws-cxf-resources-5.4.9.Final-redhat-00001-sources.jar
Source129: jbossws-cxf-factories-5.4.9.Final-redhat-00001.pom
%endif

License:        LGPLv2+
URL:            https://github.com/jbossws/jbossws-cxf
Provides:       %{?scl_prefix}jbossws-cxf-jaspi = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-server = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-client = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-factories = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-resources = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-resources-wildfly%{wildflyver2400} = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-transports-undertow = %{epoch}:%{version}-%{release}
Provides:       %{?scl_prefix}jbossws-cxf-transports-udp = %{epoch}:%{version}-%{release}

Obsoletes:      %{?scl_prefix}jbossws-cxf-resources-wildfly%{wildflyver1800} < 0:5.4.4
Obsoletes:      %{?scl_prefix}jbossws-cxf-resources-wildfly%{wildflyver1900} < 0:5.4.4
Obsoletes:      %{?scl_prefix}jbossws-cxf-resources-wildfly%{wildflyver2000} < 0:5.4.5

%if %with test_utils
Provides:       %{?scl_prefix}jbossws-cxf-test-utils = %{epoch}:%{version}-%{release}
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

%description
JBossWS CXF stack.

%prep
%setup -q -n jbossws-cxf-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-server-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-server-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-client-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-client-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-factories-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-factories-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-sources.jar
%if 0
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1800}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1800}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1900}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver1900}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2000}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2000}.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2400}.jar %{buildroot}%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2400}.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar
%if %with test_utils
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jbossws-cxf-%{namedversion}
unzip -qq %{_sourcedir}/jbossws-cxf-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jbossws-cxf-%{namedversion} -x META-INF/\*
%{__ln_s} jbossws-cxf-%{namedversion} %{buildroot}%{_javadocdir}/jbossws-cxf
%endif

%files
%defattr(0644,root,root,0755)
%doc README.md README-COMMITTERS LICENSE.txt
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}.jar
%{_javadir}/jbossws-cxf-jaspi.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-jaspi-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-jaspi-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-jaspi-sources.jar
%{_javadir}/jbossws-cxf-server-%{namedversion}.jar
%{_javadir}/jbossws-cxf-server.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-server-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-server-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-server-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-server-sources.jar
%{_javadir}/jbossws-cxf-client-%{namedversion}.jar
%{_javadir}/jbossws-cxf-client.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-client-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-client-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-client-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-client-sources.jar
%{_javadir}/jbossws-cxf-factories-%{namedversion}.jar
%{_javadir}/jbossws-cxf-factories.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-factories-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-factories-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-factories-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-factories-sources.jar
%{_javadir}/jbossws-cxf-resources-%{namedversion}.jar
%{_javadir}/jbossws-cxf-resources.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-resources-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-resources-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-resources-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-resources-sources.jar
%{_javadir}/jbossws-cxf-resources-%{namedversion}-wildfly%{wildflyver2400}.jar
%{_javadir}/jbossws-cxf-resources-wildfly%{wildflyver2400}.jar

%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}.jar
%{_javadir}/jbossws-cxf-transports-undertow.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-transports-undertow-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-transports-undertow-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-transports-undertow-sources.jar
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}.jar
%{_javadir}/jbossws-cxf-transports-udp.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-transports-udp-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-transports-udp-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-transports-udp-sources.jar
%if %with test_utils
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}.jar
%{_javadir}/jbossws-cxf-test-utils.jar
%if %with javadoc
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-javadoc.jar
%{_javadir}/jbossws-cxf-test-utils-javadoc.jar
%endif
%{_javadir}/jbossws-cxf-test-utils-%{namedversion}-sources.jar
%{_javadir}/jbossws-cxf-test-utils-sources.jar
%endif

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jbossws-cxf-%{namedversion}
%{_javadocdir}/jbossws-cxf
%endif


%changelog
* Fri Oct 20 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.4.9-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Feb 22 2023 cpaas-ops <cpaas-ops@redhat.com> - 5.4.8-1.Final_redhat_00001.1
- Built by CPaaS

* Mon Oct 24 2022 Harsha Cherukuri <hcheruku@redhat.com> - 5.4.5-1.Final_redhat_00001.1
- Build with 5,4,5 jar changes.

* Wed Oct 19 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.4.5-1.Final_redhat_00001.1
- Built by CPaaS

* Wed Mar 09 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.4.4-1.Final_redhat_00001.1
Built by CPaaS

* Thu Feb 24 2022 cpaas-ops <cpaas-ops@redhat.com> - 5.4.4-1.Final_redhat_00001.1
Built by CPaaS

* Wed Nov 04 2020 Permaine Cheung <pcheung@redhat.com> - 5.4.2-1.Final_redhat_00001.1
- 5.4.2.Final-redhat-00001

* Thu Jul 16 2020 Yong Yang <yyang@redhat.com> - 5.4.1-2.Final_redhat_00001.1
- Rebuild 5.4.1.Final-redhat-00001 

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.4.1-2.Final_redhat_00001.2
- Add resources for wildfly 1700 1800 1900

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.4.1-1.Final_redhat_00001.1
- RPM wrapper build 5.4.1.Final-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.4.1-1.Final_redhat_00001.1
- RPM wrapper build 5.4.1.Final-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.4.1-1.Final_redhat_00001.1
- RPM wrapper build 5.4.1.Final-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.3.0-3.Final_redhat_00001.1
- RPM wrapper build 5.4.1.Final-redhat-00001

* Fri Feb 07 2020 Yong Yang <yyang@redhat.com> - 5.3.0-2.Final_redhat_00001.1
- RPM wrapper build 5.4.1.Final-redhat-00001

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.3.0-1.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.3.0-1.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.3.0-1.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.2.4-3.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.2.4-3.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.2.4-3.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.2.4-3.Final_redhat_00001.1
- RPM wrapper build

* Tue Jun 18 2019 Yong Yang <yyang@redhat.com> - 5.2.4-2.Final_redhat_00001.1
- RPM wrapper build

* Tue Nov 06 2018 Petr Sakar <psakar@redhat.com> - 5.2.4-1.Final_redhat_00001.1
- upgrade to 5.2.4.Final-redhat-00001

* Thu Oct 18 2018 Petr Sakar <psakar@redhat.com> - 5.2.4-1.Final_redhat_00001.1
- upgrade to 5.2.4.Final-redhat-00001

* Fri Aug 17 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.2.3-1.Final_redhat_00001.1
- upgrade to 5.2.3.Final-redhat-00001

* Wed Aug 15 2018 Roberto Guimaraes Dutra de Oliveira <rguimara@redhat.com> - 5.2.2-1.Final_redhat_00001.1
- upgrade to 5.2.2.Final-redhat-00001

* Mon Jul 09 2018 Permaine Cheung <pcheung@redhat.com> - 5.2.1-1.Final_redhat_1.1
- Wrapper for 7.2.0

* Tue Jul 03 2018 Permaine Cheung <pcheung@redhat.com> - 5.1.10-2.Final_redhat_1.1
- Wrapper for EAP 7.2.0

* Sat Jan 27 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.1.10-1.Final_redhat_1.1
- upgrade to 5.1.10.Final-redhat-1

* Fri Oct 13 2017 Permaine Cheung <pcheung@redhat.com> - 5.1.9-2.Final_redhat_1.1
- Fix license (JBEAP-13468)

* Wed Jul 26 2017 Petr Sakar <psakar@redhat.com> - 5.1.9-1.Final_redhat_1.1
- upgrade to 5.1.9.Final-redhat-1

* Thu Jun 15 2017 Permaine Cheung <pcheung@redhat.com> - 5.1.8-2.Final_redhat_1.1
- 5.1.8 for EAP 7.1

* Thu Jun 15 2017 Permaine Cheung <pcheung@redhat.com> - 5.1.8-1.Final_redhat_1.1
- 5.1.8 for EAP 7.1

* Fri Mar 24 2017 Fernando Nasser <fnasser@redhat.com> - 5.1.7-2.Final_redhat_1.1
- Update wildflyver1600

* Thu Feb 09 2017 Petr Sakar <psakar@redhat.com> - 5.1.7-1.Final_redhat_1.1
- upgrade to 5.1.7.Final-redhat-1

* Tue Nov 29 2016 Filip Kujikis <fkujikis@redhat.com> - 5.1.6-1.Final_redhat_1.1
- prod build for upstream tag 5.1.6.Final

* Fri Sep 02 2016 Filip Kujikis <fkujikis@redhat.com> - 5.1.5-2.Final_redhat_2.1
- [JBEAP-293] correcting manifests with missing specification/implementation versions

* Tue Jul 26 2016 Vladimir Dosoudil <vdosoudi@redhat.com> - 5.1.5-1.Final_redhat_1.1
- Upgrade to 5.1.5.Final

* Thu Feb 18 2016 Petr Sakar <psakar@redhat.com> - 5.1.3-3.SP1_redhat_1.1
- upgrade to 5.1.3.SP1-redhat-1

* Mon Feb 01 2016 Petr Sakar <psakar@redhat.com> - 5.1.3-2.Final_redhat_2.1
- Upgrade to 5.1.3.Final-redhat-2

* Mon Jan 25 2016 Yong Yang <yyang@redhat.com> - 5.1.3-1.Final_redhat_1.1
- 5.1.3.Final-redhat-1

* Fri Jan 08 2016 Petr Sakar <psakar@redhat.com> - 5.1.2-2.Final_redhat_2.1
- Upgrade to 5.1.2.Final-redhat-2

* Wed Jan 06 2016 Yong Yang <yyang@redhat.com> - 5.1.2-1.Final_redhat_1.1
- Rebuild  5.1.2.Final-redhat-1 

* Wed Dec 16 2015 Yong Yang <yyang@redhat.com> - 5.1.1-2.Final_redhat_1.2
- Rebuild 5.1.1.Final

* Wed Dec 16 2015 Yong Yang <yyang@redhat.com> - 5.1.1-1.Final_redhat_1.1
- Rebuild 5.1.1.Final-redhat-1

* Fri Oct 30 2015 David Walluck <dwalluck@redhat.com> - 5.1.0-5.Final_redhat_1.1
- fix Provides

* Fri Oct 30 2015 David Walluck <dwalluck@redhat.com> - 5.1.0-4.Final_redhat_1.1
- fix installed files

* Tue Oct 13 2015 Hui Wang <huwang@redhat.com> - 5.1.0-3.Final_redhat_1.1
- Upgrade to 5.1.0.Final-redhat-1

* Thu Aug 13 2015 Yong Yang <yyang@redhat.com> - 5.1.0-2.Beta1_redhat_1.1
- Wrapper build again

* Thu Aug 13 2015 Yong Yang <yyang@redhat.com> - 5.1.0-1.Beta1_redhat_1.1
- 5.1.0.Beta1

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Wrapper again

* Thu Jul 23 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Rebuild

* Wed Jul 22 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final.3
- Wrapper again

* Wed Jul 22 2015 Yong Yang <yyang@redhat.com> - 5.0.0-1.Final.2
- 5.0.0.Final for EAP7

* Wed Jul 22 2015 Lin Gao <yyang@redhat.com> - 5.0.0-1.Final_redhat_1.1
- Build 5.0.0.Final for EAP7

* Thu Oct 09 2014 Lin Gao <lgao@redhat.com> - 4.3.1-1.Final_redhat_1.1
- Upgrade to 4.3.1.Final-redhat-1

* Tue Jun 03 2014 Vladimir Dosoudil <vdosoudi@redhat.com> - 4.3.0-3.Final_redhat_3.1
- CVE-2014-3464

* Fri Mar 28 2014 Lin Gao <lgao@redhat.com> - 4.3.0-2.Final_redhat_2.1
- Add missing modules in case they are needed by some layered product

* Wed Mar 26 2014 Lin Gao <lgao@redhat.com> - 4.3.0-1.Final_redhat_1.1
- Update to 4.3.0.Final

* Thu Feb 20 2014 Lin Gao <lgao@redhat.com> - 4.2.4-1.Final_redhat_1.1
- submit build

* Fri Nov 08 2013 Paul Gier <pgier@redhat.com> - 4.2.3-1.Final_redhat_1
- Upgrade to 4.2.3.Final

* Thu Oct 24 2013 Lin Gao <lgao@redhat.com> - 4.2.2-1.Final_redhat_1
- Upgrade to 4.2.2.Final

* Wed Oct 02 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 4.2.1-3.Final_redhat_3
- BZ-1014533 Update version of jbossws-common

* Thu Sep 26 2013 Lin Gao <lgao@redhat.com> - 4.2.1-2.Final_redhat_2
- Rebuild to use upstream dependency versions

* Sun Sep 22 2013 Lin Gao <lgao@redhat.com> - 4.2.1-1.Final_redhat_1
- Upgrade to 4.2.1.Final

* Tue Sep 17 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 4.2.0-2.Final_redhat_2
- Fix client pom version properties

* Mon Sep 09 2013 Lin Gao <lgao@redhat.com> - 4.2.0-1.Final_redhat_1
- Upgrade to 4.2.0.Final
- Disable javadoc subpackage for mead build
- One more artifact: jbossws-cxf-transports-udp in this version
- Use resources 720

* Tue Aug 20 2013 Paul Gier <pgier@redhat.com> - 4.1.4-7.Final_redhat_7
- Rebuild for another apache cxf update

* Thu Aug 15 2013 Paul Gier <pgier@redhat.com> - 4.1.4-6.Final_redhat_6
- Rebuild for apache cxf update

* Wed Aug 14 2013 Paul Gier <pgier@redhat.com> - 4.1.4-5.Final_redhat_5
- Another rebuild for pom update

* Mon Aug 12 2013 Paul Gier <pgier@redhat.com> - 4.1.4-4.Final_redhat_4
- Another rebuild for pom updates

* Mon Jul 29 2013 Paul Gier <pgier@redhat.com> - 4.1.4-3.Final_redhat_3
- Rebuild for pom updates

* Wed Jul 24 2013 Paul Gier <pgier@redhat.com> - 4.1.4-2.Final_redhat_2
- Rebuild for pom fixes

* Tue Jul 16 2013 Lin Gao <lgao@redhat.com> - 4.1.4-1.Final_redhat_1
- Upgrade to 4.1.4.Final

* Tue Apr 30 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 4.1.3-1.Final_redhat_3.2
- Exclude not-yet-commons-ssl in jbossws-cxf-client pom

* Tue Apr 30 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 4.1.3-1.Final_redhat_3.1
- Exclude slf4j in jbossws-cxf-client pom

* Mon Apr 15 2013 Paul Gier <pgier@redhat.com> - 4.1.3-1.GA_redhat_2.1
- Update pom patch for eap 6.1.0.GA

* Thu Mar 07 2013 Fernando Nasser <fnasser@redhat.com> - 4.1.3-1.GA_redhat_1.1
- Use resources 711 as that is what is in the AS7.2 pom (it is the same as 720)

* Mon Feb 18 2013 Hui Wang <huwang@redhat.com> - 4.1.3-1.Final_redhat_1
- Upgrade to 4.1.3.Final

* Tue Nov 13 2012 Paul Gier <pgier@redhat.com> - 4.0.6-2.GA_redhat_2
- Fix spring dependency scopes

* Thu Oct 11 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.6-1.GA_redhat_1
- Upgrade to 4.0.6.GA

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.5-3.GA_redhat_2
- Rebuild for MD5

* Mon Sep 17 2012 Paul Gier <pgier@redhat.com> - 4.0.5-2.GA_redhat_2
- Minor update to vman patch to substitute woodstox-core-lgpl -> woodstox-core-asl

* Mon Sep 03 2012 Yong Yang <yyang@redhat.com> - 4.0.5-1.GA_redhat_1
- Update vman patch

* Fri Aug 31 2012 Hui Wang <huwang@redhat.com> - 4.0.5-1.GA_redhat_1
- Upgrade 4.0.5.GA

* Tue Aug 14 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-3.GA_redhat_2.5
- Rebuild unsigned

* Sun Aug 12 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-3.GA_redhat_2.4
- Rebuild unsigned

* Thu Jul 26 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-3.GA_redhat_1.3
- Rebuild with unsigned apache-cxf

* Tue Jul 17 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-3.GA_redhat_1.2
- Rebuild using cache signing

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.4-3.GA_redhat_1.1
- Rebuild using cache signing

* Tue May 22 2012 Yong Yang <yyang@redhat.com> - 4.0.4-3.GA_redhat_1
- Rebuild for cleaning of unsigned manifest

* Tue May 15 2012 Yong Yang <yyang@redhat.com> - 4.0.4-2.GA_redhat_1
- Add spring-provided-pom.patch to set scope to provided for spring-* deps

* Fri May 04 2012 Yong Yang <yyang@redhat.com> - 4.0.4-1.GA_redhat_1
- Upgrade to 4.0.4.GA

* Mon Apr 23 2012 Yong Yang <yyang@redhat.com> - 4.0.3-5.GA_redhat_1
- Mead build
- Wrapper RPM spec

* Tue Apr 17 2012 Yong Yang <yyang@redhat.com> - 4.0.3-4.GA_redhat_1
- Fix dependencies GA as BOMs, JBPAPP-8659, JBPAPP-8660, JBPAPP-8661

* Tue Apr 17 2012 Yong Yang <yyang@redhat.com> - 4.0.3-3.GA_redhat_1
- BR sun-istack-commons, sun-txw2, sun-dtdparser, rngom

* Tue Apr 10 2012 Yong Yang <yyang@redhat.com> - 4.0.3-2.GA_redhat_1.1
- Bump release

* Tue Apr 10 2012 Yong Yang <yyang@redhat.com> - 4.0.3-1.GA_redhat_1.1
- Build 4.0.3.GA to jb-eap-6-devel-rhel-6-candidate

* Fri Mar 30 2012 Yong Yang <yyang@redhat.com> - 4.0.2-1.GA_redhat_1.1
- Revert to 4.0.2.GA for ER4

* Thu Mar 29 2012 Yong Yang <yyang@redhat.com> - 4.0.3-1.GA_redhat_1.1
- Upgrade to 4.0.3.GA

* Thu Mar 29 2012 Yong Yang <yyang@redhat.com> - 4.0.1-1.GA_redhat_1.3
- Rebuild with updated BRs

* Mon Mar 26 2012 Fernando Nasser <fnasser@redhat.com> - 4.0.1-1.GA_redhat_1.2.1
- Rebuild using cache signing

* Mon Mar 19 2012 Yong Yang <yyang@redhat.com> - 4.0.1-1.GA_redhat_1.2
- Fix typo, change artifact to artifactId

* Mon Mar 19 2012 Yong Yang <yyang@redhat.com> - 4.0.1-1.GA_redhat_1.1
- Include all resource jars to rpm

* Fri Feb 24 2012 Yong Yang <yyang@redhat.com> - 4.0.1-1.GA_redhat_1
- Upgrade to 4.0.1.GA

* Tue Jan 10 2012 Yong Yang <yyang@redhat.com> - 4.0.0-11.GA_redhat_1
- Upgrade to 4.0.0.GA

* Wed Dec 28 2011 Yong Yang <yyang@redhat.com> - 4.0.0-10.CR1_redhat_1
- Build for Werewolf

* Mon Dec 26 2011 Yong Yang <yyang@redhat.com> - 4.0.0-9.CR1
- BR osgi, httpserver

* Wed Nov 30 2011 Fernando Nasser <fnasser@redhat.com> - 4.0.0-8.CR1
- Add -redhat-1 suffix to parent pom version

* Wed Nov 30 2011 Yong Yang <yyang@redhat.com> - 4.0.0-7.CR1
- Upgrade to 4.0.0.CR1

* Mon Nov 28 2011 Yong Yang <yyang@redhat.com> - 4.0.0-6.Beta6
- Remove cxf pom because apache-cxf 2.4.4-2 added cxf pom
- Remove binary repo

* Fri Nov 25 2011 Yong Yang <yyang@redhat.com> - 4.0.0-5.Beta3
- BR jboss-jaxr, and remove jar from repo

* Thu Nov 24 2011 Yong Yang <yyang@redhat.com> - 4.0.0-4.Beta3
- BR jaxws-jboss-httpserver-httpspi, and remove jar from repo

* Thu Nov 17 2011 Yong Yang <yyang@redhat.com> - 4.0.0-3.Beta3
- copy jars to main package
- repolib, javadoc

* Wed Sep 28 2011 Yong Yang <yyang@redhat.com> - 4.0.0-2.Beta3
- Bump release number, give up mead build

* Wed Sep 28 2011 Yong Yang <yyang@redhat.com> - 4.0.0-1.Beta3_redhat_1
- Mead build

* Mon Sep 19 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3
- Backport to EAP 5 but build without Spring 3 upgrade

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3.4
- Try and install the zip file

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3.3
- Pack repolib

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3.2
- JBPAPP-7074 - install jbossws-cxf-factories.jar
- Add zip to repolib for MEAD uploading

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3.1
- JBPAPP-7135 console fix (from svn)
- JBPAPP-7124 jar delete fix (from svn)

* Thu Sep 15 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-6.SP9.3
- Add switch to use Spring 3 (from binary JARs)

* Fri Sep 9 2011 Danesh Mondegarian <dmondega@redhat.com> 3.1.2-6.SP9.2
- Rebuild

* Tue Aug 23 2011 Martha Benitez <mbenitez@redhat.com> - 3.1.2-6.SP9.1
- Upgrade to 3.1.2.SP9

* Thu May 12 2011 Martha Benitez <mbenitez@redhat.com> - 3.1.2-5.SP8.5
- Complete stax-api patch

* Thu May 12 2011 Martha Benitez <mbenitez@redhat.com> - 3.1.2-5.SP8.4
- Change BR codehaus-stax11-api to codehaus-stax-api
- Add patch to include stax-api in installer.zip
- Disable creation of javadoc sub-package

* Tue May 10 2011 David Walluck <dwalluck@redhat.com> 3.1.2-5.SP8.3
- patch to add javax.jws:jsr181-api:1.0-MR1 dependency
- update License
- fix setup
- fix BuildRoot
- fix macro in comment

* Mon Mar 21 2011 Fernando Nasser <fnasser@redhat.com> - 3.1.2-5.SP8.2
- Fix for JBPAPP-5100 (use the same jaxrpc JAR than the native WS)

* Tue Feb 22 2011 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-5.SP8.1
- Upgrade to 3.1.2.SP8
- Remove Patch3 and Patch4
- Add BR maven-plugin-tools-api
- Add BR xml-commons-jaxp-1.3-apis, add its depmap entry
- fix %%{files} for signing

* Wed Oct 27 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6.5
- Rebuild with spec file clean-ups

* Wed Oct 27 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6.4
- Fix assembly descriptor so that dependency JARs are actually copied

* Tue Oct 26 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6.3
- Rebuild

* Tue Oct 26 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6.2
- Remove code that removed versions from JAR filenames no longer needed
  with maven2 2.2.1

* Mon Sep 27 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6.1
- Add hack for maven-release-plugin (JBPAPP-5269)
- Remove changes to poms regarding the .dir extension, needed for maven 2.0.8

* Thu Sep 09 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.6
- No saaj-api.jar needed (JBPAPP-4993)
- Incorporate fix for EWP installer use

* Thu Sep 02 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.5
- Devolve jaxrpc-api.jar as it is needed indirectly (by EJB3)

* Thu Aug 26 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.4
- Rebuild

* Thu Aug 12 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP7.3
- Apply %{name}-no-jaxrpc-api.patch so that the installer does not include jaxrpc-api.jar

* Tue Aug 10 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.2
- Rebuild to remove vwersions from cxf JAR file names

* Fri Aug 06 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP7.1
- Upgrade to SP7

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.11
- Fixed %{name}-installer-ewp-noauth.patch

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.10
- Merge from RHEL4

* Tue Jul 27 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.10
- changed patch name from %{name}-installer-ewp.patch to  %{name}-installer-ewp-noauth.patch
- changed %{name}-installer-ewp-noauth.patch to allow for noauth option for cxf installer

* Mon Jul 19 2010 David Walluck <dwalluck@redhat.com 0:3.1.2-4.SP6.9
- own directories in zip and src-zip packages

* Wed Jul 14 2010 Yiqiao Wang <yiwang@redhat.com> - 3.1.2-4.SP6.8
- Modified the patch that allows the script to work with both EAP and EWP

* Tue Jul 13 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.7
- Add patch to make the script work with both EAP and EWP

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.6
- Rebuild with patched apache-cxf

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.5
- Remove versions from new thirdparty libraries added in SP6

* Mon Jun 14 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.4
- Remove release from ZIP file names
- Remove extra space from Class-Path

* Wed Jun 09 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.3
- Update Class-Path list

* Tue Jun 08 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.2
- Add more JARs to the client JAR Class-Path

* Mon Jun 07 2010 Fernando Nasser <fnasser@redhat.com> - 3.1.2-4.SP6.1
- Upgrade to SP6

* Tue Dec 15 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.6
- Remove version from WAR file as well

* Tue Dec 15 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.5
- Remove by brute force version numbers in JAR file names left by the
  Maven 2.0.8 assembly plugin

* Fri Dec 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.4
- Refresh tar ball with final SP3 from tag

* Fri Dec 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.3
- Add signing of JARs as optional (default on)

* Thu Dec 10 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.2
- Change dependencies and patches to match changes made to branch

* Tue Dec 01 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP3.1
- Upgrade to SP3
- Switch to tp installer build

* Tue Nov 17 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.16
- Remove RESTEasy as it was an indirect dependency

* Mon Nov 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.15
- More depmap cleanups

* Mon Nov 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.14
- Remove cxf-anttask as it iis not needed at run-time

* Wed Nov 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.13
- Upgrade some dependencies and partially clean up depmap

* Fri Oct 30 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.12
- Rebuild with Apache CXF built from sources

* Fri Oct 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.11
- Make sure glassfish-javamail is used and installed

* Fri Oct 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.10
- Use apache-cxf package

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.9
- Use sun-saaj-1.3-{api,impl} packages

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.8
- Use resteasy for the jsr311 API

* Wed Oct 21 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.7
- Exclude old dependencies of JBoss Native

* Fri Oct 16 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.6
- Rebuild with upgraded dependencies
- Use apache-abdera package

* Tue Aug 11 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.5
- Rebuild with upgraded dependencies
- Add dependency in server module for org.jboss.javaee:jboss-ejb-api:jar
  due to compilation error:
  modules/server/src/main/java/org/jboss/wsf/stack/cxf/WebServiceContextEJB.java:[26,17] package javax.ejb does not exist

* Tue Jul 28 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.4
- Use the Fedora 11 version of bouncycastle (audited for IP issues)

* Sun Jul 26 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.3
- Remove binaries for juddi SAR -- grab from jboss-jaxr package
- Build with upgraded jboss-jaxr

* Fri Jul 24 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.2
- Use tjws package
- Use jra package
- Use wss4j package
- Use ws-commons-neethi package

* Thu Jul 23 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-3.SP2.1
- Upgrade to 3.1.2.SP2
- Use jboss-cl and jboss-integration packages
- Use jboss-metadata package
- Use jboss-microcontainer2 package
- Use jboss-vfs2 package
- Use jboss-mdr package
- Use jbossxb2 package
- Use jbossws-spi package
- Use jbossws-parent package
- Use jbossws-common package
- Use jbossws-framework package
- Use jboss-reflect package
- Use jboss-ejb3-ext-api package

* Mon Jun 22 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-2.SP1.1
- Update to SP1
- Use jboss-common-core package
- Use glassfish-jaxws package

* Mon Jun 22 2009 Fernando Nasser <fnasser@redhat.com> - 3.1.2-1
- First RPM release
